%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate rgb

Name:           rust-rgb
Version:        0.8.37
Release:    1%{?dist}
Summary:        Struct RGB/RGBA/etc. for sharing pixels between crates

License:        MIT
URL:            https://crates.io/crates/rgb
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
`struct RGB/RGBA/etc.` for sharing pixels between crates + convenience
methods for color manipulation. Allows no-copy high-level
interoperability. Also adds common convenience methods and implements
standard Rust traits to make `RGB`/`RGBA` pixels and slices first-class
Rust objects.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+argb-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+argb-devel %{_description}

This package contains library source intended for building other packages which
use the "argb" feature of the "%{crate}" crate.

%files       -n %{name}+argb-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+as-bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+as-bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "as-bytes" feature of the "%{crate}" crate.

%files       -n %{name}+as-bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytemuck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytemuck-devel %{_description}

This package contains library source intended for building other packages which
use the "bytemuck" feature of the "%{crate}" crate.

%files       -n %{name}+bytemuck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+grb-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+grb-devel %{_description}

This package contains library source intended for building other packages which
use the "grb" feature of the "%{crate}" crate.

%files       -n %{name}+grb-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.37-1
- initial build
